﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RibbonTest
{
    public class ActivityGroupViewModel
    {
        /// <summary>
        /// Klasse für Activity-Views eines Mandanten
        /// </summary>
        /// <param name="client">Mandant</param>
        public ActivityGroupViewModel( ActivityGroupContainer groups )
        {
            // Aktivitäten des Mandanten laden
            this.groups = groups;
            this.bindingList = new ActivityGroupBindingList( groups );
        }

        /// <summary>
        /// Liste mit allen Gruppen
        /// </summary>
        ActivityGroupContainer groups = null;
        public ActivityGroupContainer Groups
        {
            get { return groups; }
        }

        /// <summary>
        /// Binding-List der Aktivitäten
        /// </summary>
        private ActivityGroupBindingList bindingList;
        public ActivityGroupBindingList BindingList
        {
            get { return bindingList; }
        }

    }
}
