﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace RibbonTest
{
    public class OrganisationBindingList : BindingList<OrgBase>
    {
        public OrganisationBindingList()
            : base()
        {
        }
    }


    public class OrganisationViewModel
    {
        public OrganisationViewModel( OrgClient client )
        {
            this.client = client;
            this.InitBindingList();
        }

        private OrganisationBindingList bindingList = null;
        private OrgClient client = null;

        public OrgClient Client
        {
            get { return client; }
        }

        public OrganisationBindingList BindingList
        {
            get { return bindingList; }
        }

        private void InitBindingList()
        {
            this.bindingList = new OrganisationBindingList();
            this.bindingList.Add( this.client );
        }
    }
}
