﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace RibbonTest
{
    public class ActivityGroupBindingList : BindingList<ActivityGroup>
    {
        public ActivityGroupBindingList( ActivityGroupContainer groups )
            : this( groups.ToList<ActivityGroup>() )
        {
        }

        public ActivityGroupBindingList( List<ActivityGroup> groups )
        {
            foreach ( ActivityGroup group in groups )
                this.Add( group );
        }
    }
}
